/********************************************/
/*  Number of CPLB entries to be initially  */
/*  configured for Datat Memory Control     */
/********************************************/
#define DCPLB_CNT 16

/************************************************/
/*  Number of CPLB entries to be initially      */
/*  configured for Instruction Memory Control   */
/************************************************/
#define ICPLB_CNT 9


#define ARRAY_LENGTH 32


/****************************************************/
/*  This function reside in the external memory     */
/****************************************************/
void matrix_add(u32 *result,u32 *array1,u32 *array2,u32 size);



/********************************************/
/*  These functions are for configuring     */
/*  the CPLBSs and Cache for instruction    */
/*  and data memory.                        */
/********************************************/
void Config_D_Cache(u32 *cplb_addr,u32 *cplb_data,u32 cplb_cnt,u32 banks);
void Config_I_Cache(u32 *cplb_addr,u32 *cplb_data,u32 cplb_cnt,u32 lru,u32 *W_Lock);


/********************************/
/* Pointers to DCPLB page table */
/********************************/
extern u32 D_cplb_addrs[];
extern u32 D_cplb_data[];
