/*****************************************************************************
**                                                                          **
**  Name:   Example 6                                                       **
**                                                                          **
******************************************************************************

(C) Copyright 2009-2009 - Analog Devices, Inc.  All rights reserved.

Project Name:   Examplfe 6 - BfICacheTest

Date Modified:  03/10/2009  v1.0

History:        03/09/2009  initial version

Tested
Software:       VisualDSP++ 5.0.5.0 (Update 5)

Hint:           Optimized for VisualDSP++ 5.0.0.0 and above

Tested
Hardware:       ADSP-BF533 EZ-KIT Lite Rev. 1.7 Silicon Rev. 0.5

Supported
Plattforms:     ADSP-BF518 EZ-Board
                ADSP-BF526 EZ-Board
                ADSP-BF527 EZ-KIT Lite
                ADSP-BF533 EZ-KIT Lite Rev 1.7 and above
                ADSP-BF533 EZ-KIT Lite Rev 1.6 and below (modifications required, only 32MB SDRAM installed)
                ADSP-BF537 EZ-KIT Lite
                ADSP-BF538 EZ-KIT Lite
                ADSP-BF548 EZ-KIT Lite
                ADSP-BF561 EZ-KIT Lite

Connections:    ADDS-HPUSB-ICE

Settings:       Default

Purpose:        
                All relevant settings are done in 'configurations.h'
                All supported modes are described in 'configurations.h'
*****************************************************************************/


/****************************************************************************
Include Section
*****************************************************************************/

#include "global.h"
#include "BfCacheTest.h"

/*****************************************************************************
 Symbolic constants / definitions
******************************************************************************/

/*****************************************************************************
 Prototypes
******************************************************************************/

.GLOBAL _main;

/****************************************************************************
Main Program
*****************************************************************************/

.SECTION L1_code;
.ALIGN 4;

_main:

    #if defined INSTR_CACHE_EN
        call __icplb_init;
    #endif

    call __profiling.enable;
    call _BfIcacheTest;
    call __profiling.disable;

    EMUEXCPT;
    jump 0;

_main.end:


/*****************************************************************************
 EOF
******************************************************************************/
